"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const typescript_1 = tslib_1.__importDefault(require("typescript"));
const typescript_2 = require("@file-services/typescript");
function typescriptSupport(fileSystem) {
    let openedFiles = [];
    const baseHost = typescript_2.createBaseHost(fileSystem);
    const tsLanguageServiceHost = typescript_2.createLanguageServiceHost(baseHost, () => openedFiles, () => ({
        target: typescript_1.default.ScriptTarget.ES5,
        sourceMap: false,
        declaration: true,
        outDir: 'dist',
        lib: [],
        module: typescript_1.default.ModuleKind.CommonJS,
        typeRoots: ['./node_modules/@types']
    }), '');
    const tsLanguageService = typescript_1.default.createLanguageService(tsLanguageServiceHost);
    const wrappedTs = {
        setOpenedFiles: (files) => (openedFiles = files),
        ts: tsLanguageService
    };
    return wrappedTs;
}
exports.typescriptSupport = typescriptSupport;
//# sourceMappingURL=typescript-support.js.map