import * as VCL from 'vscode-css-languageservice';
import { ColorInformation, TextDocument } from 'vscode-languageserver-protocol';
import { CompletionItem, Diagnostic, Hover, Location, Position, Range } from 'vscode-languageserver-types';
import { IFileSystem } from '@file-services/types';
/**
 * the API for "normal" css language features fallback
 */
export declare class CssService {
    private fs;
    private inner;
    constructor(fs: IFileSystem);
    getCompletions(document: TextDocument, position: Position): CompletionItem[];
    getDiagnostics(document: TextDocument): Diagnostic[];
    doHover(document: TextDocument, position: Position): Hover | null;
    findReferences(document: TextDocument, position: Position): Location[];
    getColorPresentations(document: TextDocument, color: VCL.Color, range: Range): VCL.ColorPresentation[];
    findColors(document: TextDocument): ColorInformation[];
    findColor(document: TextDocument): VCL.Color | null;
}
//# sourceMappingURL=css-service.d.ts.map